Subject: Re: [PATCH v4 4/5] t4205, t6006: Add failing tests for the case when i18n.logOutputEncoding is set

From: Ramsay Jones <[email-masked]>
Date: Wed, 21 May 2014 16:38:17 +0100

On 21/05/14 14:20, Alexey Shumkin wrote:
> Pretty format string %<(N,[ml]trunc)>%s truncates subject to a given
> length with an appropriate padding. This works for non-ASCII texts when
> i18n.logOutputEncoding is UTF-8 only (independently of a printed commit
> message encoding) but does not work when i18n.logOutputEncoding is NOT
> UTF-8.
> 
> There were no breakages as far as were no tests for the case
> when both a commit message and logOutputEncoding are not UTF-8.
> 
> Add failing tests for that which will be fixed in the next patch.
> 
> Signed-off-by: Alexey Shumkin <[email-masked]>
> Reviewed-by: Nguyễn Thái Ngọc Duy <[email-masked]>
> Reviewed-by: Ramsay Jones <[email-masked]>

Hmm, I didn't really review these patches. I simply noted a problem
on my system and provided you with an extended bug-report and
assisted you in fixing it up. So, if it even warrants a mention in
the commit message, then 'Helped-by:' would be nearer the mark.

Thanks!

ATB,
Ramsay Jones